summaryrefslogtreecommitdiffstats
path: root/network/emesene/emesene.SlackBuild
diff options
context:
space:
mode:
author Giovanne Castro <giovannefc@ig.com.br>2010-08-24 00:22:30 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-29 15:32:12 -0500
commit4996c7cae22065b510848c3054e4e79da0a36c87 (patch)
tree4e33f717a8c095a1fe17371520aa414810f55779 /network/emesene/emesene.SlackBuild
parent4058574d4ab8cd693cd7ef948948bef10bd0ffdd (diff)
downloadslackbuilds-4996c7cae22065b510848c3054e4e79da0a36c87.tar.gz
slackbuilds-4996c7cae22065b510848c3054e4e79da0a36c87.tar.xz
network/emesene: Added (An IM for the WLM(tm) network)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network/emesene/emesene.SlackBuild')
-rw-r--r--network/emesene/emesene.SlackBuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/network/emesene/emesene.SlackBuild b/network/emesene/emesene.SlackBuild
new file mode 100644
index 0000000000..3dfac70ed4
--- /dev/null
+++ b/network/emesene/emesene.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for emesene
+
+# Written by Giovanne Castro <giovannefc@ig.com.br>
+
+PRGNAM=emesene
+VERSION=${VERSION:-1.6.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed because it is writen in python programing language.
+ARCH=noarch
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Create link to executable program
+mkdir -p $PKG/usr/bin
+ln -sf /usr/share/emesene-$VERSION/emesene $PKG/usr/bin
+
+# Copy libraries program
+mkdir -p $PKG/usr/share/emesene-$VERSION
+cp -a *.py \
+ emesene emesene.pot MANIFEST.in hotmlog.htm \
+ abstract conversation_themes docs emesenelib libmimic misc \
+ plugins_base po pygif pyisf smilies sound_themes themes \
+ $PKG/usr/share/emesene-$VERSION
+
+# Install icon on correct places
+mkdir -p $PKG/usr/share/applications
+cat $CWD/emesene.desktop > $PKG/usr/share/applications/emesene.desktop
+mkdir -p $PKG/usr/share/pixmaps
+cat emesene-logo.png > $PKG/usr/share/pixmaps/emesene-logo.png
+
+# Copy documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING GPL LGPL PSF README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}